
/*
 * Luis Cruz
 * Center for Polymer Studies
 * Boston University
 * August, 1997
 * ccruz@bu.edu
 *
 */

#ifndef CANVASMAIN_H
#define CANVASMAIN_H

#include "wx_canvs.h"
#include "gl_canvs.h"
#include "wx_dcmem.h"

class lattice;
class FrameMain;

class CanvasMain: public GLCanvas
{
 private:
 protected:
 public:
  // Constructor and destructor
  CanvasMain(wxWindow *parent, int x, int y, int width, int height);
  ~CanvasMain(void);

 FrameMain *this_parent;

 void OnSize(int w, int h);
 void OnPaint(void);
 void OnEvent(wxMouseEvent& event);
 void OnChar(wxKeyEvent& event);

   void DoDisplayList(int num);
   void Draw(void);
   void ClearCanvas(void);
   void DeleteDisplayLists(void);
   void DeleteDisplayList(int no);

// wxMemoryDC dc2;
// wxBitmap* drawCanvasMain;
// wxCanvasDC *dc_orig ;

   lattice *pp[3];
};

#endif // CANVASMAIN_H
