
/*
 * Luis Cruz
 * Center for Polymer Studies
 * Boston University
 * August, 1997
 * ccruz@bu.edu
 *
 */

#ifndef FRAMEMENU_H
#define FRAMEMENU_H

#include "wx_frame.h"

class  FrameMain;  

class FrameMenu: public wxFrame
{
 private:
 protected:
 public:
  FrameMain *frameMain;
  wxMenuBar *menuBar;

  // Constructor and destructor
  FrameMenu(wxFrame *parent, char *title, int x, int y, int width, int height, long style, char *name);
  ~FrameMenu(void);

 Bool OnClose(void);
 void OnSize(int w, int h);
 void OnMenuCommand(int commandId);

 wxCursor *cursor_arrow, *cursor_cross;
 wxCursor *cursor_value;
};

#define FRAMEMENU_OPEN 1
#define FRAMEMENU_CLOSE 2
#define FRAMEMENU_QUIT 3
#define FRAMEMENU_SHOW 4
#define FRAMEMENU_HIDE 5
#define FRAMEMENU_REFRESH 6
#define FRAMEMENU_PUTINIT0 7
#define FRAMEMENU_OPEN3 8
#define FRAMEMENU_INITCOLLECT 9
#define FRAMEMENU_FINITCOLLECT 10
#define FRAMEMENU_TEXTBOX 11
#define FRAMEMENU_CANCELCOLLECT 12
#define FRAMEMENU_CLEAR 13
#define FRAMEMENU_MODECURV 14
#define FRAMEMENU_MODEWIDTH 15
#define FRAMEMENU_KILLCHANNEL 16
#define FRAMEMENU_MODEVALUE 17
#define FRAMEMENU_MODIFYCHANNEL 18
#define FRAMEMENU_SETUP 19
#define FRAMEMENU_READ_RED 20
#define FRAMEMENU_READ_GREEN 21
#define FRAMEMENU_READ_BLUE 22

#endif // FRAMEMENU_H
