
/*
 * Luis Cruz
 * Center for Polymer Studies
 * Boston University
 * August, 1997
 * ccruz@bu.edu
 *
 */

#ifndef LATTICE_H
#define LATTICE_H

class lattice
{
public:
     lattice(int sizem, int sizen);
     ~lattice(void);
private:
     lattice(const lattice &z);
     lattice &operator=(const lattice &z);
public:
     void Clear(void);
     float &operator()(int i, int j);        

     void resize(int dumm, int dumn);

     int powm,pown;
     int m,n;
     float *status_pix;
};

#endif // LATTICE_H
