
/*
 * Luis Cruz
 * Center for Polymer Studies
 * Boston University
 * August, 1997
 * ccruz@bu.edu
 *
 */

#ifndef CANVASRUN_H
#define CANVASRUN_H

#include "wx_canvs.h"
#include "gl_canvs.h"
#include "wx_dcmem.h"

class CanvasRun: public GLCanvas
{
 private:
 protected:
 public:
  // Constructor and destructor
  CanvasRun(wxWindow *parent, int x, int y, int width, int height);
  ~CanvasRun(void);

 void OnSize(int w, int h);
 void OnPaint(void);
 void OnEvent(wxMouseEvent& event);
 void OnChar(wxKeyEvent& event);

 void ClearCanvas(void);
 FrameMain *canvasRun_parent;
};

#endif // CANVASRUN_H
