
/*
 * Luis Cruz
 * Center for Polymer Studies
 * Boston University
 * August, 1997
 * ccruz@bu.edu
 *
 */

#ifndef FOLDERS_H
#define FOLDERS_H

class wxCommandEvent;
class wxButton;
class wxText;
class wxRadioBox;
class wxChoice;
class wxSlider;
class wxCheckBox;

class FrameMenu;

	// FOLDERS FOR THE INITIAL SETUP OF THE SIMULATION
void TabFoldersSetup(FrameMenu* frame);
	// CALLBACK FOR THE FOLDERS OF THE INITIAL SETUP OF THE 
	// SIMULATION
void ChoiceFirstCh(wxChoice& choice, wxCommandEvent& event);
void ChoiceSecondCh(wxChoice& choice, wxCommandEvent& event);
void ChoiceThirdCh(wxChoice& choice, wxCommandEvent& event);
void CloseTabFoldersOK(wxButton& but, wxCommandEvent& event);

	// DEFINES
#define TAB_DRAWINGTIMES 1

#endif // FOLDERS_H

