
/*
 * Luis Cruz
 * Center for Polymer Studies
 * Boston University
 * August, 1997
 * ccruz@bu.edu
 *
 */

#ifndef FRAMEMAIN_H
#define FRAMEMAIN_H

#include "wx_frame.h"

class CanvasMain;
class CanvasRun;
class FrameText;

class FrameMain: public wxFrame
{
 private:
 protected:
 public:
  // Subwindows for reference within the program.
  CanvasMain *canvasMain;
  CanvasRun *canvasRun;
  FrameText *frameText;

  // Constructor and destructor
  FrameMain(wxFrame *parent, char *title, int x, int y, int width, int height, long style, char *name);
  ~FrameMain(void);

 Bool OnClose(void);
 void OnSize(int w, int h);
 void OnMenuCommand(int commandId);
};

#endif // FRAMEMAIN_H
