
/*
 * Luis Cruz
 * Center for Polymer Studies
 * Boston University
 * August, 1997
 * ccruz@bu.edu
 *
 */

#ifndef TEXT_H
#define TEXT_H

#include "wx_frame.h"
#include "wx_text.h"
#include "wx_menu.h"
#include <fstream.h>
#include <iostream.h>

class TextMain;

class FrameText: public wxFrame
{
 private:
 protected:
 public:

  TextMain *textMain;
  TextMain *textSecon;
  wxMenuBar *menuText;

  FrameText(wxFrame *parent, char *title, int x, int y, int width, int height, long style, char *name);
  ~FrameText(void);

 Bool OnClose(void);
 void OnSize(int w, int h);
 void OnMenuCommand(int commandId);

 wxFont    *textWindowFont;
};
/* Menu identifiers
 */
#define TEXTFILE_OPEN 1
#define TEXTFILE_SAVE 2
#define TEXTFILE_SAVEAS 3
#define TEXTFILE_CLOSE 4
#define TEXTEDIT_CUT 5
#define TEXTEDIT_PASTE 6
#define TEXTEDIT_COPY 7
#define TEXTDATA_HEADER 8
#define TEXTDATA_DATA 9
#define TEXTDATA_BLOCKDATA 10
#define TEXTFILE_SAVEXMGR 11
#define TEXTEDIT_CLEARALL 12

class TextMain : public wxTextWindow
{
 public:

  // Constructor and destructor
  TextMain(wxFrame *parent, int x, int y, int width, int height, long style, char *name);
  ~TextMain(void);

 void OnSize(int w, int h);
 void Header(int decide);
 void OutputXmgr(ofstream &out_file);
};

#endif // TEXT_H

