
/*
 * Luis Cruz
 * Center for Polymer Studies
 * Boston University
 * August, 1997
 * ccruz@bu.edu
 *
 */

#ifndef CURVATURE_H
#define CURVATURE_H

class data;

float threept_curv_mth1(data &dq);
	// THREE-POINT CURVATURE CALCULATED FROM THE POSITION OF THE
        // INTERSECTION OF THE TWO PERPENDICULAR BISECTORS OF THE
        // TWO LINES JOINING THE THREE POINTS

float threept_curv_mth2(data &dq);
	// THREE-POINT CURVATURE CALCULATED FROM THE DIFFERENCE
        // BETWEEN THE TWO ANGLES SUBTENDED BY THE 
        // TWO LINES JOINING THE THREE POINTS

#endif // CURVATURE_H
