
/*
 * Luis Cruz
 * Center for Polymer Studies
 * Boston University
 * August, 1997
 * ccruz@bu.edu
 *
 */

#ifndef LATTICEFUNC_H
#define LATTICEFUNC_H

class data;

void put_init_0(lattice &z);
float ramp_func(float x, data &dq);

void do_mask_channel(lattice &mask_lattice, lattice &test_lattice, float thres);
     // GIVEN A MASK CHANNEL, MODIFIES THE TEST CHANNEL SO THAT
     // WHEREVER MASK CHANNEL DOES NOT EXIST, TEST CHANNEL IS PUT
     // TO 0.

#endif // LATTICEFUNC_H
