
/*
 * Luis Cruz
 * Center for Polymer Studies
 * Boston University
 * August, 1997
 * ccruz@bu.edu
 *
 */

#ifndef MACROS_H
#define MACROS_H

// PRINTING MACROS
#define PRINT1(x) \
        cout << (x) << "\n" << flush;
#define PRINT2(x,y) \
        cout << (x) << " " << (y) << "\n" << flush;
#define PRINT3(x,y,z) \
        cout << (x) << " " << (y) << " " << (z) << "\n" << flush;
#define PRINT4(x,y,z,w) \
        cout << (x) << " " << (y) << " " << (z) << " " << (w) << "\n" << flush;
#define PRINT5(x,y,z,w,s) \
        cout << (x) << " " << (y) << " " << (z) << " " << (w) << " " << (s) << "\n" << flush;
#define PRINT6(x,y,z,w,s,t) \
        cout << (x) << " " << (y) << " " << (z) << " " << (w) << " " << (s) << " " << (t) << "\n" << flush;

#ifndef PI
#define PI       3.14159265358979323846
#endif
#define TWOPI    (PI * 2)
#define PI_2     1.57079632679489661923
#define PI_4     0.78539816339744830962

#define CUAD(x) ( ((x) * (x)) )

#define SIGN(x) ( ((x)<0) ? (-1) : (1) )
#define ABS(x)  ( ((x)<0) ? (-(x)) : (x))

#endif // MACROS_H
