
/*
 * Luis Cruz
 * Center for Polymer Studies
 * Boston University
 * August, 1997
 * ccruz@bu.edu
 *
 */

#ifndef PICFUNC_H
#define PICFUNC_H

#include <fstream.h>
class lattice;

long slices_PIC(char* b, long& size_x, long& size_y);

int read_reduced_PIC_slice(ifstream& in_file, int size_pic_x, int size_pic_y,
		int no, lattice& z);

int read_reduced_PIC_no_slices(ifstream& in_file, 
	        int size_pic_x, int size_pic_y, int no, lattice** z);

#endif // PICFUNC_H
